Ziett
Docs
Docs
  • API Reference
Docs
Docs
  • API Reference
Meet Ziett
Login
  1. Campaigns
  • API Docs - Ziett
  • API Reference
    • Overview
    • Messages
      • Send Transactional Message
      • List Organization Messages
      • Retrieve Message Details
    • Campaigns
      • List Organization Campaigns
        GET
      • Create Batch Campaign
        POST
      • List Campaign Messages
        GET
      • Retrieve Campaign Details
        GET
  1. Campaigns

Create Batch Campaign

POST
https://api.ziett.co/c/v1/campaigns/batch
Last modified:2026-03-22 10:48:32
Initiate a large-scale messaging campaign for multiple recipients. The system will process the list, validate numbers, and queue them for delivery.

Campaign Lifecycle#

1.
Creation: The campaign is created with status PENDING.
2.
Processing: Recipients are analyzed, and costs are debited from the organization's wallet.
3.
Queueing: Individual messages are generated and enqueued.
4.
Completion: Once all messages are enqueued, the campaign status moves to COMPLETED.

Limits#

Recipients: You can send to up to 1000 recipients in a single batch request.
Rate Limit: This endpoint is limited to 10 requests per minute per API Key.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢202Accepted
application/json
Successful Response
Bodyapplication/json

🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ziett.co/c/v1/campaigns/batch' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "country_alpha2": "st",
    "content": "string",
    "channel_type": "SMS",
    "recipients": [
        "string",
        "string"
    ]
}'
Response Response Example
202 - Example 1
null
Modified at 2026-03-22 10:48:32
Previous
List Organization Campaigns
Next
List Campaign Messages
Built with